Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math3.linear
Interface FieldMatrixPreservingVisitor<T extends FieldElement<?>>

Type Parameters:
  `T` - the type of the field elements

All Known Implementing Classes:
  DefaultFieldMatrixPreservingVisitor

    public interface FieldMatrixPreservingVisitor<T extends FieldElement<?>>

Interface defining a visitor for matrix entries.

Since:
  2.0
Version:
  $Id: FieldMatrixPreservingVisitor.java 1416643 2012-12-03 19:37:14Z tn $

Method Summary
`T` | `end()` End visiting a matrix.
`void` | `start(int rows, int columns, int startRow, int endRow, int startColumn, int endColumn)` Start visiting a matrix.
`void` | `visit(int row, int column, T value)` Visit one matrix entry.

Method Detail

### start

    void start(int rows,
               int columns,
               int startRow,
               int endRow,
               int startColumn,
               int endColumn)

  Start visiting a matrix.

  This method is called once before any entry of the matrix is visited.

  Parameters:
    `rows` - number of rows of the matrix
    `columns` - number of columns of the matrix
    `startRow` - Initial row index
    `endRow` - Final row index (inclusive)
    `startColumn` - Initial column index
    `endColumn` - Final column index (inclusive)

### visit

    void visit(int row,
               int column,
               T value)

  Visit one matrix entry.

  Parameters:
    `row` - row index of the entry
    `column` - column index of the entry
    `value` - current value of the entry

### end

    T end()

  End visiting a matrix.

  This method is called once after all entries of the matrix have been visited.

  Returns:
    the value that the `walkInXxxOrder` must return

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.